# HostCapacityTemplate

Controls the capacity of each host

## GET /v3/hostCapacityTemplate

> Get the details of all your host capacity templates

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostCapacityTemplate":{"type":"object","required":["id","fleetIds","applicationBuildIds","name","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Host Capacity Template","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Fleets that use this Host Capacity Template","readOnly":true},"applicationBuildIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Application Builds that use this Host Capacity Template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your Host Capacity Template"},"inUse":{"type":"integer","format":"integer","description":"1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not."},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate":{"get":{"tags":["HostCapacityTemplate"],"summary":"Get the details of all your host capacity templates","operationId":"getHostCapacityTemplates","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostCapacityTemplate"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/hostCapacityTemplate

> Create a host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostCapacityTemplate":{"type":"object","required":["id","fleetIds","applicationBuildIds","name","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Host Capacity Template","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Fleets that use this Host Capacity Template","readOnly":true},"applicationBuildIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Application Builds that use this Host Capacity Template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your Host Capacity Template"},"inUse":{"type":"integer","format":"integer","description":"1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not."},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate":{"post":{"tags":["HostCapacityTemplate"],"summary":"Create a host capacity template","operationId":"createHostCapacityTemplate","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostCapacityTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostCapacityTemplate"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}

> Get the details of the given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostCapacityTemplate":{"type":"object","required":["id","fleetIds","applicationBuildIds","name","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Host Capacity Template","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Fleets that use this Host Capacity Template","readOnly":true},"applicationBuildIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Application Builds that use this Host Capacity Template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your Host Capacity Template"},"inUse":{"type":"integer","format":"integer","description":"1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not."},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}":{"get":{"tags":["HostCapacityTemplate"],"summary":"Get the details of the given host capacity template","operationId":"getHostCapacityTemplate","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostCapacityTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostCapacityTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/hostCapacityTemplate/{hostCapacityTemplateId}

> Update given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"HostCapacityTemplate":{"type":"object","required":["id","fleetIds","applicationBuildIds","name","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Host Capacity Template","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Fleets that use this Host Capacity Template","readOnly":true},"applicationBuildIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the Application Builds that use this Host Capacity Template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your Host Capacity Template"},"inUse":{"type":"integer","format":"integer","description":"1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not."},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}":{"put":{"tags":["HostCapacityTemplate"],"summary":"Update given host capacity template","operationId":"updateHostCapacityTemplate","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostCapacityTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HostCapacityTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostCapacityTemplateId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/hostCapacityTemplate/{hostCapacityTemplateId}

> Delete given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}":{"delete":{"tags":["HostCapacityTemplate"],"summary":"Delete given host capacity template","operationId":"deleteHostCapacityTemplate","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostCapacityTemplateId"},"409":{"description":"Cannot delete"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/fleet

> Get all fleets that are using the given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}/fleet":{"get":{"tags":["HostCapacityTemplate"],"summary":"Get all fleets that are using the given host capacity template","operationId":"getHostCapacityTemplateFleets","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostCapacityTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/applicationBuild

> Get all application builds that are using the given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"HostCapacityTemplate","description":"Controls the capacity of each host"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}/applicationBuild":{"get":{"tags":["HostCapacityTemplate"],"summary":"Get all application builds that are using the given host capacity template","operationId":"getHostCapacityTemplateApplicationBuilds","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostCapacityTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/hostcapacitytemplate-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
